PORTNAME=	mdbook-mermaid
DISTVERSIONPREFIX=	v
DISTVERSION=	0.10.0
CATEGORIES=	textproc

MAINTAINER=	jbeich@FreeBSD.org
COMMENT=	Preprocessor for mdBook to add mermaid.js support

LICENSE=	MPL20
LICENSE_FILE=	${WRKSRC}/LICENSE

USES=		cargo
USE_GITHUB=	yes
GH_ACCOUNT=	badboy
PLIST_FILES=	bin/${PORTNAME}

CARGO_CRATES=	aho-corasick-0.7.18 \
		ammonia-3.1.3 \
		ansi_term-0.12.1 \
		anyhow-1.0.53 \
		assert_cmd-2.0.4 \
		atty-0.2.14 \
		autocfg-1.0.1 \
		base64-0.13.0 \
		bitflags-1.3.2 \
		block-buffer-0.7.3 \
		block-buffer-0.9.0 \
		block-padding-0.1.5 \
		bstr-0.2.17 \
		byte-tools-0.3.1 \
		byteorder-1.4.3 \
		bytes-1.1.0 \
		cfg-if-0.1.10 \
		cfg-if-1.0.0 \
		chrono-0.4.19 \
		clap-2.34.0 \
		combine-4.6.3 \
		cpufeatures-0.2.1 \
		ctor-0.1.21 \
		diff-0.1.12 \
		difflib-0.4.0 \
		digest-0.8.1 \
		digest-0.9.0 \
		doc-comment-0.3.3 \
		either-1.6.1 \
		elasticlunr-rs-2.3.14 \
		env_logger-0.7.1 \
		env_logger-0.9.0 \
		fake-simd-0.1.2 \
		fastrand-1.7.0 \
		filetime-0.2.15 \
		fnv-1.0.7 \
		form_urlencoded-1.0.1 \
		fsevent-0.4.0 \
		fsevent-sys-2.0.1 \
		fuchsia-zircon-0.3.3 \
		fuchsia-zircon-sys-0.3.3 \
		futf-0.1.4 \
		futures-channel-0.3.19 \
		futures-core-0.3.19 \
		futures-macro-0.3.19 \
		futures-sink-0.3.19 \
		futures-task-0.3.19 \
		futures-util-0.3.19 \
		generic-array-0.12.4 \
		generic-array-0.14.5 \
		getopts-0.2.21 \
		getrandom-0.1.16 \
		getrandom-0.2.4 \
		gitignore-1.0.7 \
		glob-0.3.0 \
		h2-0.3.10 \
		handlebars-4.2.1 \
		hashbrown-0.11.2 \
		headers-0.3.5 \
		headers-core-0.2.0 \
		heck-0.3.3 \
		hermit-abi-0.1.19 \
		html5ever-0.25.1 \
		http-0.2.6 \
		http-body-0.4.4 \
		httparse-1.5.1 \
		httpdate-1.0.2 \
		humantime-1.3.0 \
		humantime-2.1.0 \
		hyper-0.14.16 \
		idna-0.2.3 \
		indexmap-1.8.0 \
		inotify-0.7.1 \
		inotify-sys-0.1.5 \
		instant-0.1.12 \
		iovec-0.1.4 \
		itertools-0.10.3 \
		itoa-0.4.8 \
		itoa-1.0.1 \
		kernel32-sys-0.2.2 \
		kstring-1.0.6 \
		lazy_static-1.4.0 \
		lazycell-1.3.0 \
		libc-0.2.114 \
		lock_api-0.4.5 \
		log-0.4.14 \
		mac-0.1.1 \
		maplit-1.0.2 \
		markup5ever-0.10.1 \
		markup5ever_rcdom-0.1.0 \
		matches-0.1.9 \
		mdbook-0.4.15 \
		memchr-2.4.1 \
		mime-0.3.16 \
		mime_guess-2.0.3 \
		mio-0.6.23 \
		mio-0.7.14 \
		mio-extras-2.0.6 \
		miow-0.2.2 \
		miow-0.3.7 \
		net2-0.2.37 \
		new_debug_unreachable-1.0.4 \
		notify-4.0.17 \
		ntapi-0.3.6 \
		num-integer-0.1.44 \
		num-traits-0.2.14 \
		num_cpus-1.13.1 \
		opaque-debug-0.2.3 \
		opaque-debug-0.3.0 \
		opener-0.5.0 \
		output_vt100-0.1.2 \
		parking_lot-0.11.2 \
		parking_lot_core-0.8.5 \
		percent-encoding-2.1.0 \
		pest-2.1.3 \
		pest_derive-2.1.0 \
		pest_generator-2.1.3 \
		pest_meta-2.1.3 \
		phf-0.8.0 \
		phf_codegen-0.8.0 \
		phf_generator-0.8.0 \
		phf_shared-0.8.0 \
		pin-project-1.0.10 \
		pin-project-internal-1.0.10 \
		pin-project-lite-0.2.8 \
		pin-utils-0.1.0 \
		ppv-lite86-0.2.16 \
		precomputed-hash-0.1.1 \
		predicates-2.1.1 \
		predicates-core-1.0.3 \
		predicates-tree-1.0.5 \
		pretty_assertions-1.0.0 \
		proc-macro2-1.0.36 \
		pulldown-cmark-0.9.1 \
		quick-error-1.2.3 \
		quick-error-2.0.1 \
		quote-1.0.15 \
		rand-0.7.3 \
		rand-0.8.4 \
		rand_chacha-0.2.2 \
		rand_chacha-0.3.1 \
		rand_core-0.5.1 \
		rand_core-0.6.3 \
		rand_hc-0.2.0 \
		rand_hc-0.3.1 \
		rand_pcg-0.2.1 \
		redox_syscall-0.2.10 \
		regex-1.5.4 \
		regex-automata-0.1.10 \
		regex-syntax-0.6.25 \
		remove_dir_all-0.5.3 \
		ryu-1.0.9 \
		same-file-1.0.6 \
		scoped-tls-1.0.0 \
		scopeguard-1.1.0 \
		serde-1.0.135 \
		serde_derive-1.0.135 \
		serde_json-1.0.78 \
		serde_urlencoded-0.7.1 \
		sha-1-0.8.2 \
		sha-1-0.9.8 \
		shlex-1.1.0 \
		siphasher-0.3.9 \
		slab-0.4.5 \
		smallvec-1.8.0 \
		socket2-0.4.4 \
		string_cache-0.8.2 \
		string_cache_codegen-0.5.1 \
		strsim-0.8.0 \
		strum-0.21.0 \
		strum_macros-0.21.1 \
		syn-1.0.86 \
		tempfile-3.3.0 \
		tendril-0.4.2 \
		termcolor-1.1.2 \
		termtree-0.2.4 \
		textwrap-0.11.0 \
		thiserror-1.0.30 \
		thiserror-impl-1.0.30 \
		time-0.1.43 \
		tinyvec-1.5.1 \
		tinyvec_macros-0.1.0 \
		tokio-1.15.0 \
		tokio-macros-1.7.0 \
		tokio-stream-0.1.8 \
		tokio-tungstenite-0.15.0 \
		tokio-util-0.6.9 \
		toml-0.5.8 \
		toml_edit-0.13.0 \
		topological-sort-0.1.0 \
		tower-service-0.3.1 \
		tracing-0.1.29 \
		tracing-core-0.1.21 \
		try-lock-0.2.3 \
		tungstenite-0.14.0 \
		typenum-1.15.0 \
		ucd-trie-0.1.3 \
		unicase-2.6.0 \
		unicode-bidi-0.3.7 \
		unicode-normalization-0.1.19 \
		unicode-segmentation-1.8.0 \
		unicode-width-0.1.9 \
		unicode-xid-0.2.2 \
		url-2.2.2 \
		utf-8-0.7.6 \
		vec_map-0.8.2 \
		version_check-0.9.4 \
		wait-timeout-0.2.0 \
		walkdir-2.3.2 \
		want-0.3.0 \
		warp-0.3.2 \
		wasi-0.9.0+wasi-snapshot-preview1 \
		wasi-0.10.2+wasi-snapshot-preview1 \
		winapi-0.2.8 \
		winapi-0.3.9 \
		winapi-build-0.1.1 \
		winapi-i686-pc-windows-gnu-0.4.0 \
		winapi-util-0.1.5 \
		winapi-x86_64-pc-windows-gnu-0.4.0 \
		ws2_32-sys-0.2.1 \
		xml5ever-0.16.2

.include <bsd.port.mk>
